
# ApiHdfsFile

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**absolutePath** | **String** | Fully qualified path of file. |  [optional]
**length** | **java.math.BigDecimal** | Size of file. | 
**dir** | **Boolean** | Indicates whether the file is a directory. | 
**replication** | [**BigDecimal**](BigDecimal.md) | Configured block replication factor of file. | 
**blockSize** | **java.math.BigDecimal** | Configured block size of file in bytes. | 
**modificationTime** | **String** | Last modification time of file in milliseconds since January 1, 1970 UTC. |  [optional]
**accessTime** | **String** | Last access time of file in milliseconds since January 1, 1970 UTC. |  [optional]
**permission** | [**BigDecimal**](BigDecimal.md) | Permission of the file where the digits in order represent: Sticky bit, User action, Group action, Other action. | 
**owner** | **String** | Owner of the file. |  [optional]
**group** | **String** | Group of the file. |  [optional]



