
# ApiCommandStep

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**description** | **String** | The command step description. |  [optional]
**startTime** | **String** | The start time. |  [optional]
**endTime** | **String** | The end time, if the command step is finished. |  [optional]
**state** | [**State**](State.md) | Current state of the command step |  [optional]
**resultMessage** | **String** | If the command step is finished, the result message. |  [optional]
**ignoreError** | **Boolean** | Whether the step will continue even upon error. |  [optional]
**parallel** | **Boolean** | Whether the children are scattered simultaneously, i.e. parallel. If not they would execute one after another, i.e. serially. |  [optional]
**processes** | [**List&lt;ApiCommandStepProcess&gt;**](ApiCommandStepProcess.md) | List of processes executed by the command step. |  [optional]
**clientConfigs** | [**List&lt;ApiCommandStepProcess&gt;**](ApiCommandStepProcess.md) | List of command step client configs. |  [optional]
**roles** | [**List&lt;ApiRoleRef&gt;**](ApiRoleRef.md) | List of command step roles. |  [optional]
**clusters** | [**List&lt;ApiClusterRef&gt;**](ApiClusterRef.md) | List of clusters associated with command step. |  [optional]
**hosts** | [**List&lt;ApiHostRef&gt;**](ApiHostRef.md) | List of hosts associated with command step. |  [optional]
**services** | [**List&lt;ApiServiceRef&gt;**](ApiServiceRef.md) | List of services associated with command step. |  [optional]
**children** | [**List&lt;ApiCommandStep&gt;**](ApiCommandStep.md) | List of child command steps. |  [optional]
**commands** | [**List&lt;ApiCommand&gt;**](ApiCommand.md) | List of subcommands. &lt;p&gt; The list contains only the summary view of the commands. |  [optional]
**remoteCommand** | [**ApiRemoteCommand**](ApiRemoteCommand.md) | Remote command executed by the current step on a peer cluster. |  [optional]



