
# ApiGenerateCopyDockerArgs

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**remoteRepoUrl** | **String** | The url of the remote repository where the private cloud artifacts to install are hosted |  [optional]
**dockerRegistry** | **String** | The url of the Docker Registry where images required for install will be copied to |  [optional]
**controlPlaneUuid** | **String** | Optional. The uuid of the control plane, if copying docker images for an upgrade |  [optional]
**selectedFeatures** | **String** | Optional. The name of the feature(s) in a comma separated list that container images/packages are associated with. When it is null, copy all the images. |  [optional]
**selectedFeaturesOnly** | **Boolean** | Optional. If true, then only images/packages that belong to the selected features will be processed. If false, then images/packages that don&#39;t belong to any features will also be processed in addition to the ones that belong to the selected features. This should be set to false (default) for install/upgrades. to true when copying specific images/packages associated with a specific feature. | 



