
# ApiMrUsageReportRow

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**timePeriod** | **String** | The time period over which this report is generated. |  [optional]
**user** | **String** | The user being reported. |  [optional]
**group** | **String** | The group this user belongs to. |  [optional]
**cpuSec** | **java.math.BigDecimal** | Amount of CPU time (in seconds) taken up this user&#39;s MapReduce jobs. |  [optional]
**memoryBytes** | **java.math.BigDecimal** | The sum of physical memory used (collected as a snapshot) by this user&#39;s MapReduce jobs. |  [optional]
**jobCount** | **java.math.BigDecimal** | Number of jobs. |  [optional]
**taskCount** | **java.math.BigDecimal** | Number of tasks. |  [optional]
**durationSec** | **java.math.BigDecimal** | Total duration of this user&#39;s MapReduce jobs. |  [optional]
**failedMaps** | **java.math.BigDecimal** | Failed maps of this user&#39;s MapReduce jobs. Available since v11. |  [optional]
**totalMaps** | **java.math.BigDecimal** | Total maps of this user&#39;s MapReduce jobs. Available since v11. |  [optional]
**failedReduces** | **java.math.BigDecimal** | Failed reduces of this user&#39;s MapReduce jobs. Available since v11. |  [optional]
**totalReduces** | **java.math.BigDecimal** | Total reduces of this user&#39;s MapReduce jobs. Available since v11. |  [optional]
**mapInputBytes** | **java.math.BigDecimal** | Map input bytes of this user&#39;s MapReduce jobs. Available since v11. |  [optional]
**mapOutputBytes** | **java.math.BigDecimal** | Map output bytes of this user&#39;s MapReduce jobs. Available since v11. |  [optional]
**hdfsBytesRead** | **java.math.BigDecimal** | HDFS bytes read of this user&#39;s MapReduce jobs. Available since v11. |  [optional]
**hdfsBytesWritten** | **java.math.BigDecimal** | HDFS bytes written of this user&#39;s MapReduce jobs. Available since v11. |  [optional]
**localBytesRead** | **java.math.BigDecimal** | Local bytes read of this user&#39;s MapReduce jobs. Available since v11. |  [optional]
**localBytesWritten** | **java.math.BigDecimal** | Local bytes written of this user&#39;s MapReduce jobs. Available since v11. |  [optional]
**dataLocalMaps** | **java.math.BigDecimal** | Data local maps of this user&#39;s MapReduce jobs. Available since v11. |  [optional]
**rackLocalMaps** | **java.math.BigDecimal** | Rack local maps of this user&#39;s MapReduce jobs. Available since v11. |  [optional]



