
# ApiRangerReplicationTransformArgs

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**rangerServiceNamesMapping** | **Map&lt;String, String&gt;** | A mapping between source to destination ranger services. &lt;p&gt; Note that if a mapping is not given for a service then it will stay the same on the destination. &lt;p&gt; Example: {\&quot;cm_hdfs\&quot;:\&quot;dr_hdfs\&quot;, \&quot;cm_hive\&quot;:\&quot;dr_hive\&quot;} &lt;br&gt; Default: empty or null, every service name will stay the same on the destination |  [optional]
**rangerUsersMapping** | **Map&lt;String, String&gt;** | A mapping between source to destination ranger usernames. &lt;p&gt; Note that if a mapping is not given for a username then it will stay the same on the destination. &lt;p&gt; Example: {\&quot;testuser1\&quot;:\&quot;testuser1@host.com\&quot;, \&quot;testuser2\&quot;:\&quot;testuser2@host.com\&quot; }&lt;br&gt; Default: empty or null, every username will stay the same on the destination |  [optional]
**rangerResourcesMapping** | **Map&lt;String, String&gt;** | A mapping between source to destination ranger resources. &lt;p&gt; Note that if a mapping is not given for a resource then it will stay the same on the destination. &lt;p&gt; Example: {\&quot;/srcdir1/srcfile1\&quot;:\&quot;/destdir1/destfile1\&quot;, \&quot;/srcdir2/srcfile2\&quot;:\&quot;/destdir2/destfile2\&quot; }&lt;br&gt; Default: empty or null, every resource will have the same path on the destination |  [optional]



