# ApiHdfsFile

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**absolute_path** | **str** | Fully qualified path of file. | [optional] 
**length** | **int** | Size of file. | 
**dir** | **bool** | Indicates whether the file is a directory. | 
**replication** | **float** | Configured block replication factor of file. | 
**block_size** | **int** | Configured block size of file in bytes. | 
**modification_time** | **str** | Last modification time of file in milliseconds since January 1, 1970 UTC. | [optional] 
**access_time** | **str** | Last access time of file in milliseconds since January 1, 1970 UTC. | [optional] 
**permission** | **float** | Permission of the file where the digits in order represent: Sticky bit, User action, Group action, Other action. | 
**owner** | **str** | Owner of the file. | [optional] 
**group** | **str** | Group of the file. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


